from parallels.plesks_migrator.workflow import FromPleskWorkflow 

class FromPBASWorkflow(FromPleskWorkflow):
	def __init__(self):
		super(FromPBASWorkflow, self).__init__()

		self.get_path('transfer-accounts').remove_actions([
			'check-migration-list'
		])

		self.get_shared_action('post-migration-prepare').remove_actions([
			'check-migration-list'
		])

		self.get_path('check').remove_actions([
			'check-migration-list'
		])